# change in field semantic in 2.6.14
--- dir/ixp425_eth.c	2005-09-24 17:50:57.828607113 -0700
+++ dir/ixp425_eth.c	2005-09-24 17:54:19.593303365 -0700
@@ -668,7 +668,11 @@
  * reset the following fields in the skbuff before re-using it on the Rx-path
  */
 #ifdef CONFIG_NETFILTER
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14)
         skb->nfmark = skb->nfcache = 0;
+#else
+        skb->nfmark = 0;
+#endif
         nf_conntrack_put(skb->nfct);
         skb->nfct = NULL;
 #ifdef CONFIG_NETFILTER_DEBUG
@@ -1300,8 +1300,12 @@
     skb->len -= header_len;
     
     /* fill the pkt arrival time (set at the irq callback entry) */
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,14)
     skb->stamp.tv_sec = irq_stamp.tv_sec;
     skb->stamp.tv_usec = irq_stamp.tv_usec;
+#else
+    skb_set_timestamp(skb, &irq_stamp);
+#endif
     
     /* fill the input device field */
     skb->dev = dev;
